Skip to main content
Resource Center/Hardware/Host Operations

CreateBonding

CreateBonding

POST/zstack/v1/hosts/bondings

Operation ID

CreateBonding

Since

4.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • hostUuids
      ListRequired

      The host UUID list.

    • bondingName
      StringRequired

      The bond name.

    • slaveUuids
      List

      Optional. The slave interface UUIDs list.

    • slaveNames
      List

      Optional. The slave interface name lise.

    • type
      StringRequired

      The bond type.

    • mode
      StringRequired

      The bond mode.

    • xmitHashPolicy
      String

      Optional. The hash policy.

    • description
      String

      Optional. The resource description.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    ListRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • hostUuid
      StringRequired

      The host UUID.

    • bondingName
      StringRequired

      The bond name.

    • bondingType
      StringRequired

      The bond application type. Options: noBridge and bridgeSlave.

    • speed
      LongRequired

      The bond speed.

    • mode
      StringRequired

      The bond mode.

    • xmitHashPolicy
      StringRequired

      The hash policy.

    • miiStatus
      StringRequired

      The MII status.

    • mac
      StringRequired

      The MAC address.

    • ipAddresses
      ListRequired

      The IP address.

    • gateway
      StringRequired

      The gateway address.

    • callBackIp
      StringRequired

      The callback IP address.

    • miimon
      LongRequired

      The MII monitoring interval.

    • type
      StringRequired

      The bond type.

    • allSlavesActive
      BooleanRequired

      The all slaves active.

    • description
      StringRequired

      The resource description.

    • createDate
      TimestampRequired

      The creation time.

    • lastOpDate
      TimestampRequired

      The last operation time.

    • slaves
      ListRequired

      See slaves.

      • uuid
        StringRequired

        The resource UUID.

      • hostUuid
        StringRequired

        The host UUID.

      • bondingUuid
        StringRequired

        The bond UUID.

      • interfaceModel
        StringRequired

        The interface model.

      • vendorId
        StringRequired

        The vendor Id.

      • deviceId
        StringRequired

        The device Id.

      • subvendorId
        StringRequired

        The subset vendor Id.

      • subdeviceId
        StringRequired

        The subset device Id.

      • interfaceName
        StringRequired

        The interface name.

      • interfaceType
        StringRequired

        The interface type. Options: nomaster,bridgeSlave, and bondSlave.

      • speed
        LongRequired

        The interface speed.

      • slaveActive
        BooleanRequired

        The bond link status.

      • carrierActive
        BooleanRequired

        The physical link status.

      • ipAddresses
        ListRequired

        The IP address.

      • gateway
        StringRequired

        The gateway address.

      • mac
        StringRequired

        The MAC address.

      • callBackIp
        StringRequired

        The callback IP address.

      • pciDeviceAddress
        StringRequired

        The PCI address of the interface.

      • offloadStatus
        StringRequired

        The offload status.

      • description
        StringRequired

        The resource description.

      • createDate
        TimestampRequired

        The creation time.

      • lastOpDate
        TimestampRequired

        The last operation time.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.